al_clone_bitmap(3)

NAME

al_clone_bitmap - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    ALLEGRO_BITMAP *al_clone_bitmap(ALLEGRO_BITMAP *bitmap)

DESCRIPTION

Create a new bitmap with al_create_bitmap(3), and copy the pixel data from the old bitmap across. The newly created bitmap will be created with the current new bitmap flags, and not the ones that were used to create the original bitmap. If the new bitmap is a memory bitmap, its projection bitmap is reset to be orthographic.

SEE ALSO

al_create_bitmap(3), al_set_new_bitmap_format(3), al_set_new_bitmap_flags(3), al_convert_bitmap(3)